Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Imaging/vtkImageFourierFilter.h File Reference

`#include "vtkImageDecomposeFilter.h"`

Include dependency graph for vtkImageFourierFilter.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

struct | vtkImageComplex
class | vtkImageFourierFilter
| Superclass that implements complex numbers. More...

## Defines

#define | vtkImageComplexEuclidSet(C, R, I)
#define | vtkImageComplexPolarSet(C, M, P)
#define | vtkImageComplexPrint(C) printf("(%.3f, %.3f)", (C).Real, (C).Imag)
#define | vtkImageComplexScale(cOut, S, cIn)
#define | vtkImageComplexConjugate(cIn, cOut)
#define | vtkImageComplexAdd(C1, C2, cOut)
#define | vtkImageComplexSubtract(C1, C2, cOut)
#define | vtkImageComplexMultiply(C1, C2, cOut)
#define | vtkImageComplexExponential(cIn, cOut)

## Define Documentation

#define vtkImageComplexEuclidSet | ( | C,
|  | R,
|  | I |  | ) |

Value:

    (C).Real = (R); \
      (C).Imag = (I)

Definition at line 58 of file vtkImageFourierFilter.h.

#define vtkImageComplexPolarSet | ( | C,
|  | M,
|  | P |  | ) |

Value:

    (C).Real = (M)*cos(P); \
      (C).Imag = (M)*sin(P)

Definition at line 62 of file vtkImageFourierFilter.h.

#define vtkImageComplexPrint | ( | C |  | ) | printf("(%.3f, %.3f)", (C).Real, (C).Imag)

| Definition at line 66 of file vtkImageFourierFilter.h.

#define vtkImageComplexScale | ( | cOut,
|  | S,
|  | cIn |  | ) |

Value:

    (cOut).Real = (cIn).Real * (S); \
      (cOut).Imag = (cIn).Imag * (S)

Definition at line 69 of file vtkImageFourierFilter.h.

#define vtkImageComplexConjugate | ( | cIn,
|  | cOut |  | ) |

Value:

    (cOut).Imag = (cIn).Imag * -1.0;    \
      (cOut).Real = (cIn).Real

Definition at line 73 of file vtkImageFourierFilter.h.

#define vtkImageComplexAdd | ( | C1,
|  | C2,
|  | cOut |  | ) |

Value:

    (cOut).Real = (C1).Real + (C2).Real; \
      (cOut).Imag = (C1).Imag + (C2).Imag

Definition at line 77 of file vtkImageFourierFilter.h.

#define vtkImageComplexSubtract | ( | C1,
|  | C2,
|  | cOut |  | ) |

Value:

    (cOut).Real = (C1).Real - (C2).Real; \
      (cOut).Imag = (C1).Imag - (C2).Imag

Definition at line 81 of file vtkImageFourierFilter.h.

#define vtkImageComplexMultiply | ( | C1,
|  | C2,
|  | cOut |  | ) |

Value:

    { \
      vtkImageComplex _vtkImageComplexMultiplyTemp; \
      _vtkImageComplexMultiplyTemp.Real = (C1).Real*(C2).Real-(C1).Imag*(C2).Imag;\
      _vtkImageComplexMultiplyTemp.Imag = (C1).Real*(C2).Imag+(C1).Imag*(C2).Real;\
      cOut = _vtkImageComplexMultiplyTemp; \
    }

Definition at line 85 of file vtkImageFourierFilter.h.

#define vtkImageComplexExponential | ( | cIn,
|  | cOut |  | ) |

Value:

    { \
      float tmp = exp(cIn.Real); \
      cOut.Real = tmp * cos(cIn.Imag); \
      cOut.Imag = tmp * sin(cIn.Imag); \
    }

Definition at line 94 of file vtkImageFourierFilter.h.